use strict;
use Test::More tests => 1+24*3;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  function %s () {};
};

my @keywords = qw(
  break
  case
  catch
  continue
  default
  delete
  do
  else
  finally
  for
  function
  if
  instanceof
  in
  new
  return
  switch
  throw
  try
  typeof
  var
  void
  while
  with
);

for my $word (@keywords) {
  my ($parser,$tree);
  my $code = sprintf $JS, $word;
  eval {
    $parser = Javascript::PurePerl->new();
    $tree = $parser->parse( code => $code );
  };
  isn't($@,"","Keyword '$word' used as identifier causes parse error")
    or diag $code;
  like($@, qr/^Got\s+'\Q$word\E' \('$word'\)/m, "Got the expected '$word' error message");
  is($tree,undef,'Got no parse tree due to syntax error');
};

