use strict;
use Test::More tests => 5;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  while (1) {
    HERE: {
    }
    continue HERE;
  }
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//LabelledStatement');
is(scalar @nodes, 1, "1 labelled statement found")
  or do { diag $_->toString for $tree->findnodes('//LabelledStatement' ) };

@nodes = $tree->findnodes('//LabelledStatement[./Identifier/text() = "HERE"]');
is(scalar @nodes, 1, "1 label name found")
  or do { diag $_->toString for $tree->findnodes('//LabelledStatement' ) };

