use strict;
use Test::More tests => 7;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  while (1) {}
  
  while (0) { alert("Hello world"); }

  while (2 == 2) alert();
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//WhileStatement');
is(scalar @nodes, 3, "3 do statements found")
  or do { diag $_->toString for $tree->findnodes('//WhileStatement' ) };


@nodes = $tree->findnodes('//WhileStatement[.//Number/text() = 1]');
is(scalar @nodes, 1, "1 while statements with expresssion '1' found")
  or do { diag $_->toString for $tree->findnodes('//WhileStatement' ) };

@nodes = $tree->findnodes('//WhileStatement[.//Number/text() = 2]');
is(scalar @nodes, 1, "1 while statements with expresssion '2' found")
  or do { diag $_->toString for $tree->findnodes('//WhileStatement' ) };

@nodes = $tree->findnodes('//WhileStatement[.//Number/text() = 0]');
is(scalar @nodes, 1, "1 while statements with expresssion '0' found")
  or do { diag $_->toString for $tree->findnodes('//WhileStatement' ) };

