use strict;
use Test::More tests => 4;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  var a = [ 1,2,3,4,5 ];
  
  with (a[5]) {
    alert(a[5]);
  };
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//WithStatement');
is(scalar @nodes, 1, "1 with statement found")
  or do { diag $_->toString for $tree->findnodes('//WithStatement' ) };

